#A szükséges csomagok betöltése
library(ggplot2)
library(grid)
library(gridExtra)

#95%-os megbízhatósági határok kiszámítása
ciT95.1 <- qt(p = 0.975, df = 3)
ciN95 <- qnorm(p = 0.975, mean = 0, sd = 1)

#A jobboldali normál eloszlás diagram elkészítése
plot1 <- ggplot() + xlim(-5, 5) + ylim(0, 0.4) +
  stat_function(fun = "dnorm", 
                geom = "line", 
                args = list(mean = 0, sd = 1), 
                color = "darkgreen") +
  stat_function(fun = "dnorm", 
                geom = "area",
                args = list(mean = 0, sd = 1), 
                fill = "darkgrey",
                xlim = c(-5, -ciN95)) +
  stat_function(fun = "dnorm", 
                geom = "area",
                args = list(mean = 0, sd = 1), 
                fill = "darkgrey",
                xlim = c(ciN95, 5)) +
  labs(title = "Normál eloszlás")

#A baloldali t-eloszlás diagram elkészítése
plot2 <- ggplot() + xlim(-5, 5) + ylim(0, 0.4) +
  stat_function(fun = "dt", 
                geom = "line", 
                args = list(df = 3), 
                color = "darkgreen") +
  stat_function(fun = "dt", 
                geom = "area",
                args = list(df = 3), 
                fill = "darkgrey",
                xlim = c(-5, -ciT95.1)) +
  stat_function(fun = "dt", 
                geom = "area",
                args = list(df = 3), 
                fill = "darkgrey",
                xlim = c(ciT95.1, 5)) +
  labs(title = "t-eloszlás")

#
grid.arrange(top = textGrob("95% megbízhatósági tartomány", 
             gp=gpar(fontsize=16,font=1)),
             plot1, plot2, ncol = 2)
