#A szükséges csomagok betöltése
library(ggplot2)
library(grid)
library(gridExtra)

#Az eredmények tárolásához szükséges vektorok létrehozása
ciN95 <- c()
ciT95 <- c()
diff <- c()
szazalek <- c()
x <- c()

#A 97,5%-os megbízhatósági intervallumok 
#kiszámítása mindkét eloszlás típusra
for (i in 1:75)
{
  x[i] <- i 
  ciN95[i] <- qnorm(p = 0.975, mean = 0, sd = 1)
  ciT95[i] <- qt(p = 0.975, df = i)
  diff[i] <- ciT95[i] - ciN95[i]
  szazalek[i] <- diff[i] / ciN95[i] * 100
  i <- i + 1
}

#A két eloszlás 97,5%-os megbízhatósági határainak különbsége
plot1 <- ggplot() + xlim(1, 75) +
            geom_line(aes(x = x, y = ciN95), linetype = "dashed") +
            geom_line(aes(x = x, y = ciT95)) +
            labs(title = "A megbízhatósági határok különbsége")

#A kétféle eloszlás megbízhatósági határainak különbsége százalékosan
plot2 <- ggplot() + xlim(1, 75) +
            geom_line(aes(x = x, y = szazalek)) +
            labs(title = "Százalékos eltérés")

#A két diagram elhelyezése egymás mellett
grid.arrange(top = textGrob("A t-eloszlás és a standard normál eloszlás 97,5%-os megbízhatósági határainak összehasonlítása", 
                gp=gpar(fontsize=16,font=1)),
                plot1, plot2, ncol = 2)

#Százalékos eltérérek meghatározása a cikkhez
szazalek[26]
szazalek[30]
szazalek[75]
