#A szükséges csomagok betöltése
library(ggplot2)
library(grid)
library(gridExtra)

#Diagramrajzoló függvény
tDistDiagram <- function(df)
{
  szText <- as.character(df)
  diagramTitle <- paste("szf = ", szText)
  
  ggplot() + xlim(-4, 4) +
    geom_function(fun = "dt", args = list(df = df), color = "darkgreen") +
    geom_function(fun = "dnorm", args = list(mean = 0, sd = 1), 
                  color = "darkgrey", 
                  linetype = "dashed") +
    labs(title = diagramTitle)
}

#A diagramok kirajzolása különféle szabadsági fokok függvényében
plot1 <- tDistDiagram(df = 1)
plot2 <- tDistDiagram(df = 2)
plot3 <- tDistDiagram(df = 3)
plot4 <- tDistDiagram(df = 4)
plot5 <- tDistDiagram(df = 5)
plot10 <- tDistDiagram(df = 10)
plot15 <- tDistDiagram(df = 15)
plot20 <- tDistDiagram(df = 20)

#A diagramok elhelyezése egymás mellett és alatt, + cím
grid.arrange(top = textGrob("t-eloszlás függvények különféle szabadsági fokokkal", 
                            gp=gpar(fontsize=20,font=1)), plot1, plot2, plot3, plot4, 
             plot5, plot10, plot15, plot20, nrow = 2, ncol = 4)
